<!DOCTYPE html>
<html>

<head>
    <title>sample.restAPI.crud.users_v1.2</title>
    <meta charset='utf-8'>
    <meta name='viewport' content='width=device-width, initial-scale=1'>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script> 
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>    
</head>
 
<script>
    const gREQUEST_STATUS_OK = 200;
    const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
    const gBASE_URL = "http://203.171.20.210:8080/crud-api/users/";
    
    // Mẫu gọi API: lấy thông tin người dùng dựa vào Id
    function getUserById() {
        var vId = "172740"; // id người dùng cần lấy thông tin
        var vXmlHttpObj = new XMLHttpRequest();
        vXmlHttpObj.open("GET", gBASE_URL + vId, true);
        vXmlHttpObj.send();
        vXmlHttpObj.onreadystatechange = function () {
            if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
                console.log(vXmlHttpObj.responseText);
            }
        }
    }

    // Mẫu gọi API: cập nhật người dùng dựa vào Id
    function updateUserById() {
        // id user sẽ update
        var vUserId = "172740";
        // dữ liệu được gửi đi để cập nhật  (6 thuộc tính)
        var vObjectRequestData = {
                firstname: "Mike",
                lastname: "Donasky",
                subject: "On business 200",
                country: "USA",
                customerType: "Gold",
                registerStatus: "Accepted"
            };
  
        var vXmlhttp = new XMLHttpRequest();
        vXmlhttp.open("PUT", gBASE_URL + vUserId, true);
        vXmlhttp.setRequestHeader("Content-Type", "application/json;charset=UTF-8");
        vXmlhttp.send(JSON.stringify(vObjectRequestData));
        
        vXmlhttp.onreadystatechange = function() {
            if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
                console.log(this.responseText);
            }
        }
    }

</script>

<body class="bg-light p-4">
   Sample API Quản lý Users
</body>

</html>